.autocomplete__form {
  position: relative;
  width: 100%;
}

.navbar__search {
  padding-right: 0;
  margin: 0;

  .autocomplete__input {
    background-color: transparent;
    border: 0;
    border-bottom: 2px solid var(--bs-gray-200);
    border-radius: 0;
    box-sizing: border-box;
    font-size: 1.25rem;
    height: 2rem;
    margin-left: 0;
    margin-right: 0;
    padding: 0 1.875rem 0 0;
    width: 100%;
    color: $white;
  }
}

.autocomplete__search-button {
  background-color: transparent;
  border: 0;
  font-size: 1.5rem;
  line-height: 1;
  padding: 0;
  position: absolute;
  right: 0;
  top: calc(50% - 12px);
}

.navbar__search-button,
.navbar__search-close-button {
  background-color: transparent;
  border: 0;
  color: $white;
  padding: 0;
  width: 25px;
}

#autocomplete__results__container {
  #autocomplete__results {
    border-radius: 5px;

    .autocomplete__link.search a::before {
      content: '\f002';
      font-family: 'Font Awesome 6 Free';
      margin-right: 5px;
      text-decoration: none;
      line-height: 1rem;
      width: 18px;
      display: inline-block;
      color: var(--xs-pri-400);
    }

    .autocomplete__link:hover a span {
      text-decoration: underline;
    }
  }
}

@include media-breakpoint-up(lg) {
  .navbar__search {
    margin-right: 13px;
  }

  .navbar__search-button,
  .navbar__search-close-button {
    display:none;
  }
}

.open-search {
  #autocomplete__results__container {
    top: 40px;
  }
}

#autocomplete__results__container {
  position: absolute;
  margin-top: 10px;
  width: 100%;
  z-index: 99;

  ul {
    max-height: calc(100vh - 74px);
    overflow: auto;
    list-style-type: none;
    padding: 0;
    margin: 0;
    width: 100%;
    background-color: $white;
    box-shadow: 3px 3px 6px rgb(0 0 0 / 25%), 0 0 15px rgb(0 0 0 / 15%);

    li {
      padding: 0;
      word-break: break-word;

      &:not(.autocomplete__link) {
        padding: 10px;

        h5 {
          margin: 0;
        }
      }
    }

    .autocomplete__link {
      &.selected,
      &:hover {
        background: var(--bs-gray-400);
      }

      &:not(:last-of-type) {
        border-bottom: 1px solid #dadada;
      }

      a {
        padding: 10px;
        outline-offset: -2px;
        display: block;
        color: $black;
        text-decoration: none;
      }
    }
  }

  em {
    font-style: normal;
    font-weight: 700;
  }
}
